circuit.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/distinct.hh>`
`#include <gecode/int/circuit/base.hpp>`
`#include <gecode/int/circuit/val.hpp>`
`#include <gecode/int/circuit/dom.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Circuit::Base< View, Offset >
| Base-class for circuit propagator. More...
class | Gecode::Int::Circuit::Val< View, Offset >
| "Value-consistent" circuit propagator More...
class | Gecode::Int::Circuit::Dom< View, Offset >
| "Domain consistent" circuit propagator More...

## Namespaces

namespace | Gecode::Int::Circuit
| Circuit propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.